<?php
if (strtolower($setting["cache"]) == "yes") {
if ($_GET['view'] == "logout" or $_GET['view'] == "login" or $_GET['view'] == "register" or $_GET['view'] == "login2" or $_GET['view'] == "edit_profile2" or $_GET['view'] == "edit_profile" or $_GET['view'] == "af_apply2" or $_GET['view'] == "af_apply" or $_GET['view'] == "af_click" or $_GET['view'] == "submit_article" or $_GET['view'] == "submit_article2" or $_GET['view'] == "submit_article3" or $_GET['view'] == "polls" or $_GET['view'] == "trackback" or $_GET['view'] == "article" or $_GET['view'] == "register2" or $_GET['view'] == "rss" or $_GET['view'] == "re-direct" or $_GET['view'] == "gallery_zip" or $_GET['view'] == "search") {
} else {
$cache_content = ob_get_contents();

ob_end_flush(); 

if (strlen($cache_content) > 0) {
$fp = @fopen($cachefile, 'w');
@fwrite($fp, $cache_content);
@fclose($fp);
}
}
}
?>